Subject: RE: bug#25152: 25.1; Customize: errors for `restricted-sexp' in `repeat'

From: Drew Adams <[email-masked]>
Date: Sat, 24 Oct 2020 13:23:51 -0700 (PDT)

> > I made it just a warning, because this mistake doesn't always result in
> > a messed up buffer.  But it can be changed to an error, of course.
> 
> A warning sounds good to me, so I've applied your patch to Emacs 28.

FWIW, I disagree that the warning applied is a proper fix.

This is about a message that we show users when they act
in a certain way.  The message doesn't correspond to
their action, and it doesn't tell them what we'd like
them to do.  It doesn't really tell them anything that's
useful to _them_ (end users), let alone anything that's
actionable.

If I was confused by the behavior enough to report this,
I'm afraid users will also be confused now, with this
attempt to improve the help.

The problem is understood on our end now.  That's good.
We're close to a solution that helps users with this.
It's too bad to not give them that help.

The info in the new message is great - info to report
to maintainers.  What's missing is the message for
_users_, which is to report that info to a maintainer.